# MathematicalSystems.jl

```@meta
DocTestFilters = [r"[0-9\.]+ seconds \(.*\)"]
```

`MathematicalSystems` is a [Julia](http://julialang.org) package for mathematical systems interfaces.

## Features

- Generic and flexible systems definitions, while being fast and type stable.
- Types for mathematical systems modeling: continuous, discrete, controlled,
linear algebraic, etc.
- Iterator interfaces to handle constant or time-varying inputs.

## Library Outline

```@contents
Pages = [
    "lib/types.md",
    "lib/methods.md"
]
Depth = 2
```
